package com.zhentao.ai.config;

/**
 * @date: 2025/5/24 11:06
 * @author: ftt
 */

import dev.langchain4j.memory.ChatMemory;
import dev.langchain4j.memory.chat.MessageWindowChatMemory;
import dev.langchain4j.store.memory.chat.ChatMemoryStore;
import dev.langchain4j.store.memory.chat.InMemoryChatMemoryStore;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class CommonConfiguration {

    /**
     * 定义一个基于消息数量限制的 ChatMemory Bean
     */
    @Bean
    public ChatMemory messageWindowChatMemory(ChatMemoryStore chatMemoryStore) {
        return MessageWindowChatMemory.builder()
                .id("session-1") // 会话 ID
                .maxMessages(10) // 最大消息数量
                .chatMemoryStore(chatMemoryStore) // 持久化存储
                .build();
    }

    /**
     * 定义一个简单的内存存储实现
     */
    @Bean
    public ChatMemoryStore inMemoryChatMemoryStore() {
        return new InMemoryChatMemoryStore();
    }
}

