package com.zhentao.ai.controller;

import dev.langchain4j.data.message.AiMessage;
import dev.langchain4j.data.message.UserMessage;
import dev.langchain4j.memory.ChatMemory;
import dev.langchain4j.model.chat.ChatLanguageModel;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;
import reactor.core.publisher.Mono;

/**
 * @date: 2025/5/24 11:05
 * @author: ftt
 */

@RestController
@RequestMapping("/ai")
public class ChatController {
    private final ChatLanguageModel model;
    private final ChatMemory chatMemory; // 自动记忆上下文

    public ChatController(ChatLanguageModel model, ChatMemory chatMemory) {
        this.model = model;
        this.chatMemory = chatMemory;
    }

    @GetMapping(value = "/chat", produces = "text/plain;charset=utf-8")
    public Mono<String> chat(@RequestParam String message) {
        UserMessage userMsg = UserMessage.from("你叫小智，是一个人工智能\n" + message);
        chatMemory.add(userMsg);

        AiMessage aiMsg = model.chat(chatMemory.messages()).aiMessage();
        chatMemory.add(aiMsg);

        return Mono.just(aiMsg.text());
    }
}

