package com.zhentao.disease.controller;

import com.zhentao.disease.pojo.Disease;
import com.zhentao.disease.service.DiseaseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.web.bind.annotation.*;

import java.util.List;

@RestController
@RequestMapping("/api/diseases")
public class DiseaseController {

    @Autowired
    private DiseaseService diseaseService;

    /**
     * 搜索疾病
     * @param keyword 关键词
     * @param page 页码
     * @param size 每页数量
     * @return 疾病分页列表
     */
//    @GetMapping("/search")
//    public Page<Disease> searchDiseases(
//            @RequestParam(required = false) String keyword,
//            @RequestParam(defaultValue = "0") int page,
//            @RequestParam(defaultValue = "10") int size) {
//
//        PageRequest pageRequest = PageRequest.of(page, size);
//
//        if (keyword == null || keyword.trim().isEmpty()) {
//            return diseaseService.page(pageRequest);
//
//        }
//
//        return diseaseService.searchDiseasesByES(keyword, pageRequest);
//    }

    /**
     * 按分类搜索疾病
     * @param category 分类
     * @param page 页码
     * @param size 每页数量
     * @return 疾病分页列表
     */
    @GetMapping("/category/{category}")
    public Page<Disease> findByCategory(
            @PathVariable String category,
            @RequestParam(defaultValue = "0") int page,
            @RequestParam(defaultValue = "10") int size) {

        PageRequest pageRequest = PageRequest.of(page, size);
//        return diseaseService.findByCategory(category, pageRequest);
        return null;
    }

    /**
     * 获取疾病详情
     * @param id 疾病ID
     * @return 疾病详情
     */
    @GetMapping("/{id}")
    public Disease getDiseaseById(@PathVariable Integer id) {
        return diseaseService.getById(id);
    }

    /**
     * 同步数据到Elasticsearch
     * @return 同步结果
     */
    @PostMapping("/sync-es")
    public String syncDataToES() {
//        diseaseService.syncDataToES();
        return "数据同步到Elasticsearch成功";
    }
}
