package com.zhentao.disease.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.zhentao.disease.pojo.Disease;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.data.domain.Pageable;

import java.util.List;

public interface DiseaseService extends IService<Disease> {
    // 在 DiseaseService 中：
    Page<Disease> page(PageRequest pageRequest);

    /**
     * 搜索疾病列表
     * @param keyword 关键词
     * @return 疾病列表
     */
    List<Disease> searchDiseases(String keyword);

    /**
     * 搜索疾病列表(ES实现)
     * @param keyword 关键词
     * @param pageable 分页信息
     * @return 疾病分页列表
     */
//    Page<Disease> searchDiseasesByES(String keyword, Pageable pageable);
//
//    /**
//     * 根据分类搜索疾病
//     * @param category 分类
//     * @param pageable 分页信息
//     * @return 疾病分页列表
//     */
//    Page<Disease> findByCategory(String category, Pageable pageable);
//
//    /**
//     * 同步数据到Elasticsearch
//     */
//    void syncDataToES();
}
