package com.zhentao.drug.controller;

import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.zhentao.common.Result;
import com.zhentao.drug.domain.DrugInfo;
import com.zhentao.drug.dto.param.DrugParam;
import com.zhentao.drug.service.DrugInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;

@RestController
@RequestMapping("drug")
public class DrugInfoController {
    @Autowired
    DrugInfoService drugInfoService;
    //查询药品所有
    @RequestMapping("drugAll")
    public Result drugAll(@RequestBody DrugParam drugParam){
        return drugInfoService.drugAll(drugParam);
    }

    @PostMapping("/addDrug")
    public Result addDrug(@RequestParam("imageFile") MultipartFile imageFile,
                          @RequestParam("drugInfo") String drugInfoJson) {
        try {
            // 将JSON字符串转换为DrugInfo对象
            DrugInfo drugInfo = new ObjectMapper().readValue(drugInfoJson, DrugInfo.class);
            drugInfo.setImageFile(imageFile);

            return drugInfoService.addDrug(drugInfo);
        } catch (IOException e) {
            e.printStackTrace();
            return Result.FAIL("参数解析失败");
        }
    }

    //修改药品的图片
    @RequestMapping("updateDrug")
    public Result updateDrug(@RequestParam("imageFile") MultipartFile imageFile,
                             @RequestParam("id") Integer id) {
        try {

            return drugInfoService.updateDrug(imageFile,id);
        } catch (Exception e) {
            return Result.FAIL("参数解析失败");
        }

    }

    //删除药品
    @RequestMapping("delDrug")
    public Result delDrug(Integer id){
        return drugInfoService.delDrug(id);
    }
}
