package com.zhentao.drug.domain;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 药品分类表
 * @TableName drug_category
 */
@TableName(value ="drug_category")
@Data
public class DrugCategory implements Serializable {
    /**
     * 分类唯一ID
     */
    @TableId(type = IdType.AUTO)
    private Integer categoryId;

    /**
     * 分类名称，如抗生素类、感冒用药类等
     */
    private String categoryName;



    /**
     * 父分类ID，若为顶级分类则为NULL，用于构建层级结构
     */
    private Integer parentCategoryId;

    /**
     * 创建时间
     */
    private Date createTime;
    // 非数据库字段，用于存储子分类
    @TableField(exist = false)
    private List<DrugCategory> childCategories;
    /**
     * 假删
     */
    @TableLogic(value = "1",delval = "0")
    private Integer del;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}