package com.zhentao.drug.domain;

import com.baomidou.mybatisplus.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * 药品基础信息表
 * @TableName drug_info
 */
@TableName(value ="drug_info")
@Data
public class DrugInfo implements Serializable {
    /**
     * 药品唯一编码
     */
    @TableId(type = IdType.INPUT)// 指定ID由应用层手动输入
    private String drugId;

    /**
     * 药品通用名
     */
    private String drugName;

    /**
     * 商品名
     */
    private String tradeName;

    /**
     * 生产厂家
     */
    private String manufacturer;

    /**
     * 规格
     */
    private String specification;

    /**
     * 适应症
     */
    private String indication;

    /**
     * 禁忌症
     */
    private String contraindication;

    /**
     * 副作用
     */
    private String sideEffect;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 库存数量
     */
    private Integer stockQuantity;

    /**
     * 库存预警阈值
     */
    private Integer warningThreshold;
    /**
     * 药品分类
     */
    private Integer categoryId;
    /**
     * 药品图片
     */

    private String image;
    /**
     * 录入时间
     */
    private Date createTime;

    /**
     * 0假删 1不删
     */
    @TableLogic(value = "1",delval = "0")
    private Integer del;


    // 用于接收上传的图片文件
    @TableField(exist = false)
    private MultipartFile imageFile;
    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}