package com.zhentao.drug.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class DrugDto {
    /**
     * 药品唯一编码
     */
    @TableId(type = IdType.INPUT)// 指定ID由应用层手动输入
    private String drugId;

    /**
     * 药品通用名
     */
    private String drugName;

    /**
     * 商品名
     */
    private String tradeName;

    /**
     * 生产厂家
     */
    private String manufacturer;

    /**
     * 规格
     */
    private String specification;

    /**
     * 适应症
     */
    private String indication;

    /**
     * 禁忌症
     */
    private String contraindication;

    /**
     * 副作用
     */
    private String sideEffect;

    /**
     * 单价
     */
    private BigDecimal price;

    /**
     * 库存数量
     */
    private Integer stockQuantity;

    /**
     * 库存预警阈值
     */
    private Integer warningThreshold;

    /**
     * 录入时间
     */
    private Date createTime;

    /**
     * 0假删 1不删
     */
    @TableLogic(value = "1",delval = "0")
    private Integer del;

    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
