package com.zhentao.drug.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;

import com.zhentao.common.Result;
import com.zhentao.drug.domain.DrugCategory;
import com.zhentao.drug.dto.DrugCategoryDto;
import com.zhentao.drug.service.DrugCategoryService;
import com.zhentao.drug.mapper.DrugCategoryMapper;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* @author Administrator
* @description 针对表【drug_category(药品分类表)】的数据库操作Service实现
* @createDate 2025-05-23 18:49:31
*/
@Service
public class DrugCategoryServiceImpl extends ServiceImpl<DrugCategoryMapper, DrugCategory>
    implements DrugCategoryService{

    @Override
    public Result drugCategoryAll(DrugCategoryDto drugCategoryDto) {
        // 查询所有一级分类
        QueryWrapper<DrugCategory> parentQuery = new QueryWrapper<>();
        parentQuery.isNull("parent_category_id");
        List<DrugCategory> parentCategories = this.list(parentQuery);

        // 遍历一级分类，查询每个分类的子分类
        for (DrugCategory parent : parentCategories) {
            QueryWrapper<DrugCategory> childQuery = new QueryWrapper<>();
            childQuery.eq("parent_category_id", parent.getCategoryId());
            List<DrugCategory> childCategories = this.list(childQuery);
            parent.setChildCategories(childCategories); // 自动关联子分类
        }

        return Result.SUCCESS(parentCategories);
    }

    @Override
    public Result oneDelOrTwoDel(Integer categoryId) {
        //查询该分类是否存在
        DrugCategory byId = this.getById(categoryId);
        if (byId==null){
            return Result.FAIL("分类不存在");
        }
        System.err.println(byId.getParentCategoryId()+"是否有子类");
        //2判断是否为一级分类
        if (byId.getParentCategoryId()!=null){
            this.removeById(byId);
        }else{
            //查询两级
            QueryWrapper<DrugCategory> queryWrapper=new QueryWrapper<>();
            queryWrapper.eq("parent_category_id",categoryId);
            //获取所有2级
            List<DrugCategory> list = this.list(queryWrapper);
            for (DrugCategory d:list) {
                System.err.println(d);
                DrugCategory byId1 = this.getById(d.getCategoryId());
                this.removeById(byId1);

            }
            //删除一级
            this.removeById(byId);
        }


        return Result.SUCCESS(byId);
    }
}




