package com.zhentao.prescription.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhentao.prescription.pojo.Prescription;
import com.zhentao.prescription.pojo.PrescriptionDetail;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.time.LocalDate;
import java.util.List;
@Mapper
public interface PrescriptionMapper extends BaseMapper<Prescription> {

    /**
     * 根据处方编号查询处方详情（关联患者和医生信息）
     */
    Prescription selectFullDetailByNo(@Param("prescriptionNo") String prescriptionNo);

    /**
     * 根据患者姓名查询处方列表
     */
    List<Prescription> selectByPatientName(@Param("name") String name);

    /**
     * 分页查询处方列表
     */
    IPage<Prescription> selectPageWithCondition(Page<Prescription> page,
                                              @Param("patientName") String patientName,
                                              @Param("prescriptionNo") String prescriptionNo,
                                              @Param("startDate") LocalDate startDate,
                                              @Param("endDate") LocalDate endDate,
                                              @Param("status") String status);

    /**
     * 查询处方明细列表
     */
    List<PrescriptionDetail> selectDetailsByPrescriptionId(@Param("prescriptionId") Long prescriptionId);
}
