package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;

@Data
@TableName("medicine_inventory")
public class MedicineInventory {

    @TableId(value = "inventory_id", type = IdType.AUTO)
    private Long inventoryId;

    @TableField("medicine_id")
    private Long medicineId;

    @TableField("batch_number")
    private String batchNumber;

    @TableField("production_date")
    private LocalDate productionDate;

    @TableField("expiry_date")
    private LocalDate expiryDate;

    @TableField("quantity")
    private Integer quantity;

    @TableField("location")
    private String location;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;

    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime updateTime;

    // 关联查询字段
    @TableField(exist = false)
    private Medicine medicine;
}
