package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@Data
@TableName("prescription")
public class Prescription {

    @TableId(value = "prescription_id", type = IdType.AUTO)
    private Long prescriptionId;

    @TableField("prescription_no")
    private String prescriptionNo;

    @TableField("patient_id")
    private Long patientId;

    @TableField("doctor_id")
    private Long doctorId;

    @TableField("visit_date")
    private LocalDate visitDate;

    @TableField("diagnosis")
    private String diagnosis;

    @TableField("total_amount")
    private Double totalAmount;

    @TableField("status")
    private String status;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;

    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime updateTime;

    // 关联查询字段
    @TableField(exist = false)
    private Patient patient;

    @TableField(exist = false)
    private Doctor doctor;

    @TableField(exist = false)
    private List<PrescriptionDetail> details;
}
