package com.zhentao.prescription.pojo;

import com.baomidou.mybatisplus.annotation.*;
import lombok.Data;

import java.time.LocalDateTime;

@Data
@TableName("prescription_detail")
public class PrescriptionDetail {

    @TableId(value = "detail_id", type = IdType.AUTO)
    private Long detailId;

    @TableField("prescription_id")
    private Long prescriptionId;

    @TableField("medicine_id")
    private Long medicineId;

    @TableField("quantity")
    private Integer quantity;

    @TableField("usage_method")
    private String usageMethod;

    @TableField("dosage")
    private String dosage;

    @TableField("frequency")
    private String frequency;

    @TableField("duration")
    private String duration;

    @TableField("notes")
    private String notes;

    @TableField("price")
    private Double price;

    @TableField("amount")
    private Double amount;

    @TableField(value = "create_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime createTime;

    @TableField(value = "update_time", insertStrategy = FieldStrategy.NEVER, updateStrategy = FieldStrategy.NEVER)
    private LocalDateTime updateTime;

    // 关联查询字段
    @TableField(exist = false)
    private Medicine medicine;
}
