package com.zhentao.prescription.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.zhentao.prescription.dto.PrescriptionDTO;
import com.zhentao.prescription.pojo.Prescription;

import java.time.LocalDate;
import java.util.List;

public interface PrescriptionService {

    List<Prescription> findAll();

    Page<Prescription> findAll(Page<Prescription> page);

    Prescription findById(Long id);

    Prescription findByPrescriptionNo(String prescriptionNo);

    List<Prescription> findByPatientId(Long patientId);

    List<Prescription> findByDoctorId(Long doctorId);

    List<Prescription> findByStatus(String status);

    List<Prescription> findByVisitDate(LocalDate visitDate);

    List<Prescription> findByPatientNameContaining(String name);

    PrescriptionDTO getPrescriptionDetails(Long id);

    Page<PrescriptionDTO> searchPrescriptions(Page<PrescriptionDTO> page,
                                             String patientName,
                                             String prescriptionNo,
                                             LocalDate startDate,
                                             LocalDate endDate,
                                             String status);

    byte[] exportToExcel(List<PrescriptionDTO> prescriptions);

    PrescriptionDTO convertToDTO(Prescription prescription);
}
